Bug Hunting Session
Bug 80520 - FILESAVE: Format of bullets destroyed when saving as .pptx
Summary: FILESAVE: Format of bullets destroyed when saving as .pptx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: BSA target:5.1.0 target:5.0.3 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-25 09:29 UTC by Christian
Modified: 2016-10-25 19:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Reference testcase saved with MS-PPT (89.66 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-06-25 09:29 UTC, Christian
Details
Screenshot of appearance in MS-PPT (40.35 KB, image/png)
2014-06-25 09:30 UTC, Christian
Details
scnreenshot of appearance when opened in LO the first time (136.62 KB, image/png)
2014-06-25 09:30 UTC, Christian
Details
Screenshot of appearance in LO after been saved with LO (28.04 KB, image/png)
2014-06-25 09:31 UTC, Christian
Details
document with destroyed format, saved by LO (32.14 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-06-25 09:33 UTC, Christian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian 2014-06-25 09:29:01 UTC
Created attachment 101735 [details]
Reference testcase saved with MS-PPT

Problem description: 
  The format of the bullet points on a presenation slide is destroyed after saved as pptx in LibreOffice.

Steps to reproduce:
1. open testcase_org.pptx in Libre Office
  -> fomat looks as expected (1st_opned_in_LO.png)
2. save the file
3. close LibreOffice
4. Open the file again
=> the format is destroyed (after_saveing_in_LO.png)

Current behavior:
  After the document has ben saved in LO the format gets destroyed.

Expected behavior:
  The format of the bullet point etc. should remain intact.

Operating System: Linux (Other)
Version: 4.2.4.2 release
Comment 1 Christian 2014-06-25 09:30:30 UTC
Created attachment 101736 [details]
Screenshot of appearance in MS-PPT
Comment 2 Christian 2014-06-25 09:30:57 UTC
Created attachment 101737 [details]
scnreenshot of appearance when opened in LO the first time
Comment 3 Christian 2014-06-25 09:31:29 UTC
Created attachment 101738 [details]
Screenshot of appearance in LO after been saved with LO
Comment 4 Christian 2014-06-25 09:33:45 UTC
Created attachment 101739 [details]
document with destroyed format, saved by LO
Comment 5 ign_christian 2014-06-25 10:18:12 UTC
Confirmed with 4.2.5.2 and 3.5.7.2 - Ubuntu 12.04 x86.

This report using original MS-PPT file, but perhaps it has same root with Bug 77881 (created from LO)
Comment 6 A (Andy) 2015-06-06 20:26:16 UTC
For me also reproducible with LO 4.4.3.2, Win 8.1
Comment 7 Commit Notification 2015-08-25 12:00:37 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65a66d41fd0e13d0aad9df935091b731b4af650a

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-09-04 01:35:23 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=382bdb8ea1a1aca10752e9124f4fb6bef9e755c8&h=libreoffice-5-0

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-11-24 12:03:02 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84892a9dc80917c1ca45c6eed356bfb38e8b81fb&h=libreoffice-4-4

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 4.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-11-24 17:23:53 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c54c54d9b95e15dc7179eb0399c242295b1dbf26&h=libreoffice-4-4-7

Fix tdf#77881,tdf#80520,tdf#89525 bulllets lost issue.

It will be available in 4.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.